Package org.gradle.api.artifacts.component

## Interface ComponentIdentifier

- All Known Subinterfaces:
    `LibraryBinaryIdentifier`, `ModuleComponentIdentifier`, `ProjectComponentIdentifier`

      public interface ComponentIdentifier

  An opaque immutable identifier for a component instance. There are various sub-interfaces that expose specific details about the identifier.
  Since:
    1.10

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDisplayName()` | Returns a human-consumable display name for this identifier.

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName()

      Returns a human-consumable display name for this identifier.
      Returns:
        Component identifier display name
      Since:
        1.10